// STL3.cp
#include <iostream>
#include <list>
#include <string>

int main()
{
	typedef	std::list<char> MyList;
	std::string	start("machack");
	MyList	l(start.begin(), start.end());

	std::ostream_iterator<char>	out(std::cout);
	std::cout << "  start: ";
	std::copy(l.begin(), l.end(), out);

	std::cout << "\nremoved: ";
	l.remove('c');
	std::copy(l.begin(), l.end(), out);

	std::cout << "\n sorted: ";
	l.sort();
	std::copy(l.begin(), l.end(), out);

	std::cout << "\n unique: ";
	l.unique();
	std::copy(l.begin(), l.end(), out);

	std::cout << "\nreverse: ";
	l.reverse();
	copy(l.begin(), l.end(), out);
	std::cout << "\n";
}
//   start: machack
// removed: mahak
//  sorted: aahkm
//  unique: ahkm
// reverse: mkha
